Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUser.Update(ctx, operations.C1APIAppV1AppUserServiceUpdateRequest{
AppUserAppID: "<id>",
AppUserID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AppUserServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appUser.update({
appUserAppId: "<id>",
appUserId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_user_app_id}/app_users/{app_user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appUser": {
"status": {}
},
"expandMask": {
"paths": [
"<string>"
]
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_user_app_id}/app_users/{app_user_id}"
payload = {
"appUser": { "status": {} },
"expandMask": { "paths": ["<string>"] },
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appUser: {status: {}},
expandMask: {paths: ['<string>']},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_user_app_id}/app_users/{app_user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appUserView": {
"appPath": "<string>",
"appUser": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"emails": [
"<string>"
],
"employeeIds": [
"<string>"
],
"id": "<string>",
"identityUserId": "<string>",
"isExternal": true,
"profile": {},
"status": {
"details": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernames": [
"<string>"
]
},
"identityUserPath": "<string>",
"lastUsagePath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}AppUsers
Update
Update an app user by ID. Only the fields specified in the update mask are updated. Currently, only the appUserType, and identityUserId fields can be updated.
POST
/
api
/
v1
/
apps
/
{app_user_app_id}
/
app_users
/
{app_user_id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUser.Update(ctx, operations.C1APIAppV1AppUserServiceUpdateRequest{
AppUserAppID: "<id>",
AppUserID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AppUserServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appUser.update({
appUserAppId: "<id>",
appUserId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the application.
A unique idenditfier of the application user.
Body
application/json
The AppUserServiceUpdateRequest message contains the app user and the fields to be updated.
Response
200 - application/json
Successful response
Was this page helpful?
⌘I